@font-face { font-family: "vgasys"; src: url(../fonts/vgasys.ttf); }
@font-face { font-family: "W95FA"; src: url(../fonts/W95FA.otf); }

#windowCount {display: none;}

body{
    background: #888;
    padding: 0;
    margin: 0;

    --ui-element-background: #C0C0C0;
    --titlebar-selected: #00007F;
    --titlebar-deselected: #7F7F7F;
}

button{
    background: var(--ui-element-background);
    border-top: #ffffff69 3px solid; border-left: #ffffff69 3px solid;
    border-right: #00000062 3px solid; border-bottom: #00000062 3px solid;
    font-family: "W95FA";
    font-size: 18px;
    padding: 3px;
    margin:3px;
    width: max-content; min-width: 50px;
    cursor:pointer;
}

button:active{
    border-top: #00000032 3px solid; border-left: #00000032 3px solid;
    border-right: #fff 3px solid; border-bottom: #fff 3px solid;
}

.window-group{ display: flex; flex-direction: row; width:max-content; height:max-content}
.window-group .window{ margin:5px; }

.window{
    background: var(--ui-element-background);
    width: max-content; min-width: 125px;
    height: max-content;
    border-top: #ffffff69 2.5px solid; border-left: #ffffff69 2.5px solid;
    border-right: #00000062 2.5px solid; border-bottom: #00000062 2.5px solid;
    font-family: "W95FA";
    font-size: 18px;
    user-select: none;
    z-index: 3;
}

.window.draggable{position: absolute;}

.window .titlebar{
    background: var(--titlebar-selected);
    color: #fff;
    margin:3px; 
    width: auto;
    padding: 4px; padding-left: 6px; padding-right: 6px;
}

.window p { margin: 0; padding: 0; }
.window .titlebar.deselected{ background: var(--titlebar-deselected); }
.window .window-content { padding: 5px; font-size:18px; }
.window .window-content.horiz { display:flex; flex-direction:row; padding:0; }
.window .window-content.horiz.vert-center { align-items: center }
.window .window-content.horiz img, .window .window-content.horiz p {margin:5px}
.window .window-content.horiz .title {font-size: 24px;}

.window .button-area {
    margin: 3px; padding: 3px;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: flex-end;
}

.window.crop{ max-width:550px; }

.runbar {
    background: #000;
    display: flex;
    flex-direction: row;
    align-items: center;
    color:#fc0;
    width: 100%;
    margin:0;
    text-transform: uppercase;
    font-family: "vgasys";
}

.runbar p, .runbar marquee{margin:5px; padding: 5px;}

@media screen and (width <= 1024px) {
    button{
        font-size: 12px;
        margin:2px;
        padding:1px;
        border-top: #ffffff69 1.5px solid; border-left: #ffffff69 1.5px solid;
        border-right: #00000062 1.5px solid; border-bottom: #00000062 1.5px solid;
        width: max-content; min-width: 25px;
    }
        
    button:active{
        border-top: #00000032 1.5px solid; border-left: #00000032 1.5px solid;
        border-right: #fff 1.5px solid; border-bottom: #fff 1.5px solid;
    }

    .window-group .window{ margin:2.5px; }
    
    .window {
        font-size: 12px;
        border-top: #ffffff69 1.5px solid; border-left: #ffffff69 1.5px solid;
        border-right: #00000062 1.5px solid; border-bottom: #00000062 1.5px solid;
    } 
    
    .window .titlebar { 
        margin:1.5px; 
        padding: 2px; padding-left: 4px; padding-right: 4px;
        font-size:12px;
    }
    
    .window.crop{ max-width:250px; }
    .window .window-content { padding: 2.5px; font-size: 12px;}
    .window .window-content.horiz img, .window .window-content.horiz p {margin:2.5px}
    .window .window-content.horiz .title {font-size: 16px;}
    
    .window .button-area {
        margin: 1.5px; padding: 1.5px;
        display: flex;
        flex-direction: row;
        align-items: flex-end;
        justify-content: flex-end;
    }
}

@media screen and (width <= 600px) {
    .window-group{
        display: flex;
        flex-wrap: wrap;
    }
}